Up

# NSFilePresenter documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)
Daniel Ferreira

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSObject(NSFilePresenter) informal protocol
2. Software documentation for the NSFilePresenter protocol

# Software documentation for the NSObject(NSFilePresenter) informal protocol

## NSObject(NSFilePresenter)

> Declared in:
>   Foundation/NSFilePresenter.h

Availability: MacOS-X 10.7.0
Description forthcoming.
Method summary

- -accommodatePresentedItemDeletionWithCompletionHandler:
- -accommodatePresentedSubitemDeletionAtURL:completionHandler:
- -observedPresentedItemUbiquityAttributes
- -presentedItemDidChange
- -presentedItemDidChangeUbiquityAttributes:
- -presentedItemDidGainVersion:
- -presentedItemDidLoseVersion:
- -presentedItemDidMoveToURL:
- -presentedItemDidResolveConflictVersion:
- -presentedSubitemAtURL:didGainVersion:
- -presentedSubitemAtURL:didLoseVersion:
- -presentedSubitemAtURL:didMoveToURL:
- -presentedSubitemAtURL:didResolveConflictVersion:
- -presentedSubitemDidAppearAtURL:
- -presentedSubitemDidChangeAtURL:
- -primaryPresentedItemURL
- -relinquishPresentedItemToReader:
- -relinquishPresentedItemToWriter:
- -savePresentedItemChangesWithCompletionHandler:

### accommodatePresentedItemDeletionWithCompletionHandler:

- (void) accommodatePresentedItemDeletionWithCompletionHandler: (GSFilePresenterCompletionHandler)completionHandler;
Availability: MacOS-X 10.7.0
Description forthcoming.

### accommodatePresentedSubitemDeletionAtURL: completionHandler:

- (void) accommodatePresentedSubitemDeletionAtURL: (NSURL*)url completionHandler: (GSFilePresenterSubitemDeletionHandler)completionHandler;
Availability: MacOS-X 10.7.0
Description forthcoming.

### observedPresentedItemUbiquityAttributes

- (NSString*) observedPresentedItemUbiquityAttributes;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedItemDidChange

- (void) presentedItemDidChange;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedItemDidChangeUbiquityAttributes:

- (void) presentedItemDidChangeUbiquityAttributes: (NSSet*)attributes;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedItemDidGainVersion:

- (void) presentedItemDidGainVersion: (NSFileVersion*)version;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedItemDidLoseVersion:

- (void) presentedItemDidLoseVersion: (NSFileVersion*)version;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedItemDidMoveToURL:

- (void) presentedItemDidMoveToURL: (NSURL*)newURL;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedItemDidResolveConflictVersion:

- (void) presentedItemDidResolveConflictVersion: (NSFileVersion*)version;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedSubitemAtURL: didGainVersion:

- (void) presentedSubitemAtURL: (NSURL*)url didGainVersion: (NSFileVersion*)version;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedSubitemAtURL: didLoseVersion:

- (void) presentedSubitemAtURL: (NSURL*)url didLoseVersion: (NSFileVersion*)version;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedSubitemAtURL: didMoveToURL:

- (void) presentedSubitemAtURL: (NSURL*)oldURL didMoveToURL: (NSURL*)newURL;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedSubitemAtURL: didResolveConflictVersion:

- (void) presentedSubitemAtURL: (NSURL*)url didResolveConflictVersion: (NSFileVersion*)version;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedSubitemDidAppearAtURL:

- (void) presentedSubitemDidAppearAtURL: (NSURL*)url;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedSubitemDidChangeAtURL:

- (void) presentedSubitemDidChangeAtURL: (NSURL*)url;
Availability: MacOS-X 10.7.0
Description forthcoming.

### primaryPresentedItemURL

- (NSURL*) primaryPresentedItemURL;
Availability: MacOS-X 10.7.0
Description forthcoming.

### relinquishPresentedItemToReader:

- (void) relinquishPresentedItemToReader: (GSFilePresenterReacquirer)reader;
Availability: MacOS-X 10.7.0
Description forthcoming.

### relinquishPresentedItemToWriter:

- (void) relinquishPresentedItemToWriter: (GSFilePresenterReacquirer)writer;
Availability: MacOS-X 10.7.0
Description forthcoming.

### savePresentedItemChangesWithCompletionHandler:

- (void) savePresentedItemChangesWithCompletionHandler: (GSFilePresentedItemChangesWithCompletionHandler)completionHandler;
Availability: MacOS-X 10.7.0
Description forthcoming.

# Software documentation for the NSFilePresenter protocol

## NSFilePresenter

> Declared in:
>   Foundation/NSFilePresenter.h

> Conforms to:
>   NSObject

Availability: MacOS-X 10.7.0
Description forthcoming.
Method summary

- -presentedItemOperationQueue
- -presentedItemURL

### presentedItemOperationQueue

- (NSOperationQueue*) presentedItemOperationQueue;
Availability: MacOS-X 10.7.0
Description forthcoming.

### presentedItemURL

- (NSURL*) presentedItemURL;
Availability: MacOS-X 10.7.0
Description forthcoming.

Up